/** @type {import('tailwindcss').Config} */
module.exports = {
	content: [
		"./src/**/*.{js,jsx,ts,tsx}",
	],
	theme: {
		extend: {
			height: {
				screen: "100vh"
			},
			fontSize: {
				sm: '1.45rem',
				def: '1.65rem',
				lg: '1.8rem',
				xl: '2rem',
				'2xl': '1.563rem',
				'3xl': '1.953rem',
				'4xl': '2.441rem',
				'5xl': '3.052rem'
			}
		}
	},
	plugins: [],
}
